> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Returns task lists for the specified project.

GET https://api.awork.com/api/v1/projects/{projectId}/tasklists

Returns task lists visible in the specified project.
The user must have `project-planning-data:read` permission for the project.

Reference: https://developers.awork.com/apiv1/task-lists/get-project-task-lists-by-project-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — The id of the project.

### Query parameters

- `showArchived` (boolean, optional, default: false) — The show Archived.
- `page` (integer, optional, default: 1) — Page number for pagination
- `pageSize` (integer, optional, default: 10) — Number of items per page
- `orderby` (string, optional) — The properties to order by
- `filterby` (string, optional) — The filter expression to filter by

## Response

### 200

OK

- `list of TaskList`

## Errors

### 401 Unauthorized Error

Unauthorized

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

## Types

### TaskList

Represents a full task list with calculated duration properties. Extends TaskList with additional computed fields.

- `id` (string, optional) — The id of the task list.
- `createdOn` (string, optional) — The date this task list was created.
- `createdBy` (string, optional) — The id of the user who created this task list.
- `updatedOn` (string, optional) — The date this task list was last modified.
- `updatedBy` (string, optional) — The id of the user who last modified this task list.
- `name` (string, optional, nullable) — The name of the list.
- `order` (double, optional, nullable) — The order of the list.
- `plannedDuration` (integer, optional, nullable) — The planned duration for this task list, in seconds.
- `totalPlannedDuration` (long, optional, nullable) — The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.
- `totalPlannedDurationWithHierarchy` (long, optional, nullable) — The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.
- `isArchived` (boolean, optional) — Whether the task list has been archived.
- `isHiddenForConnectUsers` (boolean, optional) — True if the task in this list will be not visible for external workspace users. False otherwise.
- `trackedDuration` (integer, optional) — The total duration of time trackings for tasks in this task list, in seconds. Includes both billable and non-billable time trackings. Backend-calculated property. When hierarchy feature flag is enabled: only tasks with PrimaryTaskListId == this list. When hierarchy feature flag is disabled: all tasks associated with this list.

### ValidationErrorResponse

The validation error response.

- `property` (string, optional, nullable) — The name of the property that failed validation.
- `message` (string, optional, nullable) — The reason why this property failed validation.

## Examples

**Response**

```json
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdOn": "2021-03-22T15:00:00Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2021-03-22T16:30:00Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Product and Marketing To-Dos",
    "order": 2,
    "plannedDuration": 1,
    "totalPlannedDuration": 1,
    "totalPlannedDurationWithHierarchy": 1,
    "isArchived": false,
    "isHiddenForConnectUsers": true,
    "trackedDuration": 1
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/projects/projectId/tasklists"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/projects/projectId/tasklists';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/projects/projectId/tasklists"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/projects/projectId/tasklists")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.awork.com/api/v1/projects/projectId/tasklists")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.awork.com/api/v1/projects/projectId/tasklists', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/projects/projectId/tasklists");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/projects/projectId/tasklists")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```